
/*! ============================================================================= */

/*! Individual styles for gallery action buttons. */

/*! ============================================================================= */
.proofing-gallery-action-button, .btn.proofing-gallery-action-button {
	position: relative;
	margin: 15px;
	padding: 15px 35px;
	display: inline-flex;
	align-items: center;
	border: 0;
}

.proofing-gallery-action-button__icon, .btn.proofing-gallery-action-button__icon {
	padding-right: 15px;
	font-size: 125%;
	display: flex;
}

.proofing-gallery-action-button__text, .btn.proofing-gallery-action-button__text {
	font-size: 12px;
	letter-spacing: 2px;
	text-transform: uppercase;
}

.proofing-gallery-action-button--loading svg, .btn.proofing-gallery-action-button--loading svg {
	-webkit-animation: proofing-gallery-action-button-spin 2s infinite linear;
	animation: proofing-gallery-action-button-spin 2s infinite linear;
}

@media (max-width: 991.98px) {
	.proofing-gallery-action-button, .btn.proofing-gallery-action-button {
		margin: 5px;
		padding: 10px 25px;
	}
}

@media (max-width: 767.98px) {
	.proofing-gallery-action-button, .btn.proofing-gallery-action-button {
		margin: 0 0 5px;
		width: 100%;
		justify-content: center;
	}
}

@-webkit-keyframes proofing-gallery-action-button-spin {
	0% {
		transform: rotate(0deg);
	}
	
	100% {
		transform: rotate(359deg);
	}
}

@keyframes proofing-gallery-action-button-spin {
	0% {
		transform: rotate(0deg);
	}
	
	100% {
		transform: rotate(359deg);
	}
}
